body {
    background-color: #f5f5f5;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    margin: 0;
    font-family: 'Roboto', sans-serif;
}

.container {
    background-color: white;
    padding: 40px;
    border-radius: 10px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    text-align: center;
}

h2 {
    font-size: 2.5em;
    margin-bottom: 20px;
    color: #4CAF50;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2);
}

form {
    margin: 20px 0;
    text-align: center;
}

input[type="text"] {
    width: calc(100% - 20px);
    padding: 10px;
    margin-bottom: 20px;
    border-radius: 5px;
    border: 1px solid #ccc;
    font-size: 1em;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
}

input[type="submit"] {
    display: inline-block;
    margin: 10px auto;
    padding: 10px 20px;
    font-size: 1em;
    cursor: pointer;
    border-radius: 5px;
    background-color: #4CAF50;
    color: white;
    border: none;
    transition: background-color 0.3s ease, transform 0.3s ease;
}

input[type="submit"]:hover {
    background-color: #45a049;
    transform: scale(1.05);
}

label {
    display: block;
    margin-bottom: 10px;
    font-size: 1em;
    color: #333;
}
